{"openapi":"3.1.0","info":{"title":"Yard Master","description":"Yard Master API","version":"0.1.0"},"servers":[{"url":"\/","description":""}],"paths":{"\/api\/addons\/{id}":{"get":{"operationId":"addon_get","tags":["AddonResource"],"responses":{"200":{"description":"AddonResource resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AddonResource"}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a AddonResource resource.","description":"Retrieves a AddonResource resource.","parameters":[{"name":"id","in":"path","description":"AddonResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}]}},"\/api\/projects\/{projectId}\/addons":{"get":{"operationId":"addons_list","tags":["AddonResource"],"responses":{"200":{"description":"AddonResource collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/AddonResource"}}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves the collection of AddonResource resources.","description":"Retrieves the collection of AddonResource resources.","parameters":[{"name":"projectId","in":"path","description":"ProjectResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false},{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"schema":{"type":"integer","default":1},"style":"form","explode":true}]}},"\/api\/audit-events\/{id}":{"get":{"operationId":"audit_get","tags":["AuditResource"],"responses":{"200":{"description":"AuditResource resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AuditResource"}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a AuditResource resource.","description":"Retrieves a AuditResource resource.","parameters":[{"name":"id","in":"path","description":"AuditResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}]}},"\/api\/organizations\/{organizationId}\/audit-events":{"get":{"operationId":"audit_list","tags":["AuditResource"],"responses":{"200":{"description":"AuditResource collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/AuditResource"}}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves the collection of AuditResource resources.","description":"Retrieves the collection of AuditResource resources.","parameters":[{"name":"organizationId","in":"path","description":"OrganizationResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false},{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"schema":{"type":"integer","default":1},"style":"form","explode":true}]}},"\/api\/backup-policies\/{id}":{"get":{"operationId":"backup_policy_get","tags":["BackupPolicyResource"],"responses":{"200":{"description":"BackupPolicyResource resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/BackupPolicyResource"}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a BackupPolicyResource resource.","description":"Retrieves a BackupPolicyResource resource.","parameters":[{"name":"id","in":"path","description":"BackupPolicyResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}]},"patch":{"operationId":"backup_policy_update","tags":["BackupPolicyResource"],"responses":{"200":{"description":"BackupPolicyResource resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/BackupPolicyResource"}}},"links":{}},"400":{"description":"Invalid input","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"422":{"description":"An error occurred","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation"}}},"links":{}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Updates the BackupPolicyResource resource.","description":"Updates the BackupPolicyResource resource.","parameters":[{"name":"id","in":"path","description":"BackupPolicyResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}],"requestBody":{"description":"The updated BackupPolicyResource resource","content":{"application\/merge-patch+json":{"schema":{"$ref":"#\/components\/schemas\/BackupPolicyResource.UpdateBackupPolicyInput.jsonMergePatch"}}},"required":true}}},"\/api\/projects\/{projectId}\/backup-policies":{"get":{"operationId":"backup_policies_list","tags":["BackupPolicyResource"],"responses":{"200":{"description":"BackupPolicyResource collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/BackupPolicyResource"}}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves the collection of BackupPolicyResource resources.","description":"Retrieves the collection of BackupPolicyResource resources.","parameters":[{"name":"projectId","in":"path","description":"ProjectResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false},{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"schema":{"type":"integer","default":1},"style":"form","explode":true}]}},"\/api\/backups\/{id}":{"get":{"operationId":"backup_get","tags":["BackupResource"],"responses":{"200":{"description":"BackupResource resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/BackupResource"}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a BackupResource resource.","description":"Retrieves a BackupResource resource.","parameters":[{"name":"id","in":"path","description":"BackupResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}]}},"\/api\/backups\/{id}\/download":{"post":{"operationId":"backup_download","tags":["BackupResource"],"responses":{"200":{"description":"Private, non-cacheable download link.","content":{"application\/json":{"schema":{"type":"object","required":["backupId","url"],"properties":{"backupId":{"type":"string","format":"uuid"},"url":{"type":"string","format":"uri"}}}}},"links":{}},"403":{"description":"Current administrator membership is required."},"404":{"description":"Backup is missing or belongs to another organization."},"409":{"description":"Backup is incomplete, expired, being pruned, or deleted."},"400":{"description":"Invalid input","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"422":{"description":"An error occurred","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation"}}},"links":{}}},"summary":"Create a private backup download link","description":"Organization administrators only. Send delivery=direct for a presigned storage download. It is reusable until expiry, lasts at most five minutes, and cannot outlive the backup. Omit the body for a legacy single-use gateway link. Object keys and expiry overrides are not accepted.","parameters":[{"name":"id","in":"path","description":"BackupResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}],"requestBody":{"content":{"application\/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"delivery":{"type":"string","enum":["direct"]}}}}},"required":false}}},"\/api\/environments\/{environmentId}\/backups":{"get":{"operationId":"backups_list","tags":["BackupResource"],"responses":{"200":{"description":"BackupResource collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/BackupResource"}}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves the collection of BackupResource resources.","description":"Retrieves the collection of BackupResource resources.","parameters":[{"name":"environmentId","in":"path","description":"EnvironmentResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false},{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"schema":{"type":"integer","default":1},"style":"form","explode":true}]}},"\/api\/databases\/{id}":{"get":{"operationId":"database_get","tags":["DatabaseResource"],"responses":{"200":{"description":"DatabaseResource resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/DatabaseResource"}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a DatabaseResource resource.","description":"Retrieves a DatabaseResource resource.","parameters":[{"name":"id","in":"path","description":"DatabaseResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}]}},"\/api\/databases\/{id}\/remove":{"post":{"operationId":"database_remove","tags":["DatabaseResource"],"responses":{"202":{"description":"DatabaseResource resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/DatabaseResource.OperationResource"}}},"links":{}},"400":{"description":"Invalid input","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"422":{"description":"An error occurred","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation"}}},"links":{}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Creates a DatabaseResource resource.","description":"Creates a DatabaseResource resource.","parameters":[{"name":"id","in":"path","description":"DatabaseResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}],"requestBody":{"description":"The new DatabaseResource resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/DatabaseResource.RemoveDatabaseInput"}}},"required":true}}},"\/api\/environments\/{environmentId}\/databases":{"get":{"operationId":"databases_list","tags":["DatabaseResource"],"responses":{"200":{"description":"DatabaseResource collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/DatabaseResource"}}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves the collection of DatabaseResource resources.","description":"Retrieves the collection of DatabaseResource resources.","parameters":[{"name":"environmentId","in":"path","description":"EnvironmentResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false},{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"schema":{"type":"integer","default":1},"style":"form","explode":true}]},"post":{"operationId":"database_create","tags":["DatabaseResource"],"responses":{"202":{"description":"DatabaseResource resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/DatabaseResource.OperationResource"}}},"links":{}},"400":{"description":"Invalid input","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"422":{"description":"An error occurred","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation"}}},"links":{}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Creates a DatabaseResource resource.","description":"Creates a DatabaseResource resource.","parameters":[{"name":"environmentId","in":"path","description":"EnvironmentResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}],"requestBody":{"description":"The new DatabaseResource resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/DatabaseResource.CreateDatabaseInput"}}},"required":true}}},"\/api\/deployments\/{id}":{"get":{"operationId":"deployment_get","tags":["DeploymentResource"],"responses":{"200":{"description":"DeploymentResource resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/DeploymentResource"}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a DeploymentResource resource.","description":"Retrieves a DeploymentResource resource.","parameters":[{"name":"id","in":"path","description":"DeploymentResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}]}},"\/api\/environments\/{environmentId}\/deployments":{"get":{"operationId":"deployments_list","tags":["DeploymentResource"],"responses":{"200":{"description":"DeploymentResource collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/DeploymentResource"}}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves the collection of DeploymentResource resources.","description":"Retrieves the collection of DeploymentResource resources.","parameters":[{"name":"environmentId","in":"path","description":"EnvironmentResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false},{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"schema":{"type":"integer","default":1},"style":"form","explode":true}]}},"\/api\/domains\/{id}":{"get":{"operationId":"domain_get","tags":["DomainResource"],"responses":{"200":{"description":"DomainResource resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/DomainResource"}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a DomainResource resource.","description":"Retrieves a DomainResource resource.","parameters":[{"name":"id","in":"path","description":"DomainResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}]}},"\/api\/environments\/{environmentId}\/domains":{"get":{"operationId":"domains_list","tags":["DomainResource"],"responses":{"200":{"description":"DomainResource collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/DomainResource"}}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves the collection of DomainResource resources.","description":"Retrieves the collection of DomainResource resources.","parameters":[{"name":"environmentId","in":"path","description":"EnvironmentResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false},{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"schema":{"type":"integer","default":1},"style":"form","explode":true}]},"post":{"operationId":"domain_create","tags":["DomainResource"],"responses":{"201":{"description":"DomainResource resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/DomainResource"}}},"links":{}},"400":{"description":"Invalid input","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"422":{"description":"An error occurred","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation"}}},"links":{}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Creates a DomainResource resource.","description":"Creates a DomainResource resource.","parameters":[{"name":"environmentId","in":"path","description":"EnvironmentResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}],"requestBody":{"description":"The new DomainResource resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/DomainResource.CreateDomainInput"}}},"required":true}}},"\/api\/environments\/{id}":{"get":{"operationId":"environment_get","tags":["EnvironmentResource"],"responses":{"200":{"description":"EnvironmentResource resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/EnvironmentResource"}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a EnvironmentResource resource.","description":"Retrieves a EnvironmentResource resource.","parameters":[{"name":"id","in":"path","description":"EnvironmentResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}]},"patch":{"operationId":"environment_update","tags":["EnvironmentResource"],"responses":{"200":{"description":"EnvironmentResource resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/EnvironmentResource"}}},"links":{}},"400":{"description":"Invalid input","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"422":{"description":"An error occurred","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation"}}},"links":{}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Updates the EnvironmentResource resource.","description":"Updates the EnvironmentResource resource.","parameters":[{"name":"id","in":"path","description":"EnvironmentResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}],"requestBody":{"description":"The updated EnvironmentResource resource","content":{"application\/merge-patch+json":{"schema":{"$ref":"#\/components\/schemas\/EnvironmentResource.UpdateEnvironmentInput.jsonMergePatch"}}},"required":true}}},"\/api\/environments\/{id}\/logs\/download":{"post":{"operationId":"environment_logs_download","tags":["EnvironmentResource"],"responses":{"200":{"description":"Save content as the supplied filename.","content":{"application\/json":{"schema":{"type":"object","required":["environmentId","filename","content"],"properties":{"environmentId":{"type":"string","format":"uuid"},"filename":{"type":"string"},"content":{"type":"string"}}}}},"links":{}},"403":{"description":"Current administrator membership is required."},"404":{"description":"Environment is missing or belongs to another organization."},"503":{"description":"Host is unavailable, unsupported, or logs exceed the size limit."},"400":{"description":"Invalid input","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"422":{"description":"An error occurred","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation"}}},"links":{}}},"summary":"Download recent environment logs","description":"Current organization administrators only. Returns the latest 200 lines from the environment\u2019s current web container, with known environment values, common credentials and query strings redacted. No historical retention or application-file logs. Maximum source size 256 KiB. No body, file path, container ID or command is accepted. Audited without storing content; no caching.","parameters":[{"name":"id","in":"path","description":"EnvironmentResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}]}},"\/api\/projects\/{projectId}\/environments":{"get":{"operationId":"environments_list","tags":["EnvironmentResource"],"responses":{"200":{"description":"EnvironmentResource collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/EnvironmentResource"}}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves the collection of EnvironmentResource resources.","description":"Retrieves the collection of EnvironmentResource resources.","parameters":[{"name":"projectId","in":"path","description":"ProjectResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false},{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"schema":{"type":"integer","default":1},"style":"form","explode":true}]}},"\/api\/operation-events\/{id}":{"get":{"operationId":"operation_event_get","tags":["OperationEventResource"],"responses":{"200":{"description":"OperationEventResource resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/OperationEventResource"}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a OperationEventResource resource.","description":"Retrieves a OperationEventResource resource.","parameters":[{"name":"id","in":"path","description":"OperationEventResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}]}},"\/api\/operations\/{operationId}\/events":{"get":{"operationId":"operation_events_list","tags":["OperationEventResource"],"responses":{"200":{"description":"OperationEventResource collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/OperationEventResource"}}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves the collection of OperationEventResource resources.","description":"Retrieves the collection of OperationEventResource resources.","parameters":[{"name":"operationId","in":"path","description":"OperationResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false},{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"schema":{"type":"integer","default":1},"style":"form","explode":true}]}},"\/api\/operations\/{id}":{"get":{"operationId":"operation_get","tags":["OperationResource"],"responses":{"200":{"description":"OperationResource resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/OperationResource"}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a OperationResource resource.","description":"Retrieves a OperationResource resource.","parameters":[{"name":"id","in":"path","description":"OperationResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}]}},"\/api\/projects\/{id}\/operations":{"post":{"operationId":"operation_create","tags":["OperationResource"],"responses":{"202":{"description":"OperationResource resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/OperationResource"}}},"links":{}},"400":{"description":"Invalid input","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"422":{"description":"An error occurred","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation"}}},"links":{}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Creates a OperationResource resource.","description":"Creates a OperationResource resource.","parameters":[{"name":"id","in":"path","description":"ProjectResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}],"requestBody":{"description":"The new OperationResource resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/OperationResource.ActionInput"}}},"required":true}}},"\/api\/projects\/{projectId}\/operations":{"get":{"operationId":"operations_list","tags":["OperationResource"],"responses":{"200":{"description":"OperationResource collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/OperationResource"}}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves the collection of OperationResource resources.","description":"Retrieves the collection of OperationResource resources.","parameters":[{"name":"projectId","in":"path","description":"ProjectResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false},{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"schema":{"type":"integer","default":1},"style":"form","explode":true}]}},"\/api\/organizations":{"get":{"operationId":"organizations_list","tags":["OrganizationResource"],"responses":{"200":{"description":"OrganizationResource collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/OrganizationResource"}}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves the collection of OrganizationResource resources.","description":"Retrieves the collection of OrganizationResource resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"schema":{"type":"integer","default":1},"style":"form","explode":true}]}},"\/api\/organizations\/{id}":{"get":{"operationId":"organization_get","tags":["OrganizationResource"],"responses":{"200":{"description":"OrganizationResource resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/OrganizationResource"}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a OrganizationResource resource.","description":"Retrieves a OrganizationResource resource.","parameters":[{"name":"id","in":"path","description":"OrganizationResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}]}},"\/api\/plans":{"get":{"operationId":"plans_list","tags":["PlanResource"],"responses":{"200":{"description":"PlanResource collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/PlanResource"}}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves the collection of PlanResource resources.","description":"Retrieves the collection of PlanResource resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"schema":{"type":"integer","default":1},"style":"form","explode":true}]}},"\/api\/plans\/{id}":{"get":{"operationId":"plan_get","tags":["PlanResource"],"responses":{"200":{"description":"PlanResource resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/PlanResource"}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a PlanResource resource.","description":"Retrieves a PlanResource resource.","parameters":[{"name":"id","in":"path","description":"PlanResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}]}},"\/api\/organizations\/{organizationId}\/projects":{"get":{"operationId":"projects_list","tags":["ProjectResource"],"responses":{"200":{"description":"ProjectResource collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/ProjectResource"}}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves the collection of ProjectResource resources.","description":"Retrieves the collection of ProjectResource resources.","parameters":[{"name":"organizationId","in":"path","description":"OrganizationResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false},{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"schema":{"type":"integer","default":1},"style":"form","explode":true}]},"post":{"operationId":"project_create","tags":["ProjectResource"],"responses":{"201":{"description":"ProjectResource resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ProjectResource"}}},"links":{}},"400":{"description":"Invalid input","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"422":{"description":"An error occurred","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation"}}},"links":{}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Creates a ProjectResource resource.","description":"Creates a ProjectResource resource.","parameters":[{"name":"organizationId","in":"path","description":"OrganizationResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}],"requestBody":{"description":"The new ProjectResource resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ProjectResource.CreateProjectInput"}}},"required":true}}},"\/api\/projects\/{id}":{"get":{"operationId":"project_get","tags":["ProjectResource"],"responses":{"200":{"description":"ProjectResource resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ProjectResource"}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a ProjectResource resource.","description":"Retrieves a ProjectResource resource.","parameters":[{"name":"id","in":"path","description":"ProjectResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}]},"patch":{"operationId":"project_update","tags":["ProjectResource"],"responses":{"200":{"description":"ProjectResource resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ProjectResource"}}},"links":{}},"400":{"description":"Invalid input","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"422":{"description":"An error occurred","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation"}}},"links":{}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Updates the ProjectResource resource.","description":"Updates the ProjectResource resource.","parameters":[{"name":"id","in":"path","description":"ProjectResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}],"requestBody":{"description":"The updated ProjectResource resource","content":{"application\/merge-patch+json":{"schema":{"$ref":"#\/components\/schemas\/ProjectResource.UpdateProjectInput.jsonMergePatch"}}},"required":true}}},"\/api\/regions":{"get":{"operationId":"regions_list","tags":["RegionResource"],"responses":{"200":{"description":"RegionResource collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/RegionResource"}}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves the collection of RegionResource resources.","description":"Retrieves the collection of RegionResource resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"schema":{"type":"integer","default":1},"style":"form","explode":true}]}},"\/api\/regions\/{id}":{"get":{"operationId":"region_get","tags":["RegionResource"],"responses":{"200":{"description":"RegionResource resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/RegionResource"}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a RegionResource resource.","description":"Retrieves a RegionResource resource.","parameters":[{"name":"id","in":"path","description":"RegionResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}]}},"\/api\/projects\/{projectId}\/releases":{"get":{"operationId":"releases_list","tags":["ReleaseResource"],"responses":{"200":{"description":"ReleaseResource collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/ReleaseResource"}}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves the collection of ReleaseResource resources.","description":"Retrieves the collection of ReleaseResource resources.","parameters":[{"name":"projectId","in":"path","description":"ProjectResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false},{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"schema":{"type":"integer","default":1},"style":"form","explode":true}]}},"\/api\/releases\/{id}":{"get":{"operationId":"release_get","tags":["ReleaseResource"],"responses":{"200":{"description":"ReleaseResource resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ReleaseResource"}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a ReleaseResource resource.","description":"Retrieves a ReleaseResource resource.","parameters":[{"name":"id","in":"path","description":"ReleaseResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}]}},"\/api\/projects\/{projectId}\/repository":{"get":{"operationId":"repository_get","tags":["RepositoryResource"],"responses":{"200":{"description":"RepositoryResource resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/RepositoryResource"}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a RepositoryResource resource.","description":"Retrieves a RepositoryResource resource.","parameters":[{"name":"projectId","in":"path","description":"ProjectResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}]},"put":{"operationId":"repository_attach","tags":["RepositoryResource"],"responses":{"200":{"description":"RepositoryResource resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/RepositoryResource"}}},"links":{}},"400":{"description":"Invalid input","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"422":{"description":"An error occurred","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ConstraintViolation"}}},"links":{}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Replaces the RepositoryResource resource.","description":"Replaces the RepositoryResource resource.","parameters":[{"name":"projectId","in":"path","description":"ProjectResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}],"requestBody":{"description":"The updated RepositoryResource resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/RepositoryResource.AttachRepositoryInput"}}},"required":true}}},"\/api\/projects\/{projectId}\/servers":{"get":{"operationId":"servers_list","tags":["ServerResource"],"responses":{"200":{"description":"ServerResource collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/ServerResource"}}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves the collection of ServerResource resources.","description":"Retrieves the collection of ServerResource resources.","parameters":[{"name":"projectId","in":"path","description":"ProjectResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false},{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"schema":{"type":"integer","default":1},"style":"form","explode":true}]}},"\/api\/servers\/{id}":{"get":{"operationId":"server_get","tags":["ServerResource"],"responses":{"200":{"description":"ServerResource resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ServerResource"}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a ServerResource resource.","description":"Retrieves a ServerResource resource.","parameters":[{"name":"id","in":"path","description":"ServerResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}]}},"\/api\/projects\/{projectId}\/usage":{"get":{"operationId":"usage_list","tags":["UsageResource"],"responses":{"200":{"description":"UsageResource collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/UsageResource"}}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves the collection of UsageResource resources.","description":"Retrieves the collection of UsageResource resources.","parameters":[{"name":"projectId","in":"path","description":"ProjectResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false},{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"schema":{"type":"integer","default":1},"style":"form","explode":true}]}},"\/api\/usage\/{id}":{"get":{"operationId":"usage_get","tags":["UsageResource"],"responses":{"200":{"description":"UsageResource resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/UsageResource"}}}},"403":{"description":"Forbidden","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application\/problem+json":{"schema":{"$ref":"#\/components\/schemas\/Error"}},"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Error"}}},"links":{}}},"summary":"Retrieves a UsageResource resource.","description":"Retrieves a UsageResource resource.","parameters":[{"name":"id","in":"path","description":"UsageResource identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}]}}},"components":{"schemas":{"AddonResource":{"type":"object","properties":{"id":{"default":"","type":"string"},"projectId":{"default":"","type":"string"},"type":{"default":"","type":"string"},"version":{"type":["string","null"]},"status":{"default":"pending","type":"string"}}},"AuditResource":{"type":"object","properties":{"id":{"default":"","type":"string"},"organizationId":{"default":"","type":"string"},"actorId":{"type":["string","null"]},"action":{"default":"","type":"string"},"targetType":{"default":"","type":"string"},"targetId":{"default":"","type":"string"},"createdAt":{"default":"","type":"string"}}},"BackupPolicyResource":{"type":"object","properties":{"id":{"default":"","type":"string"},"projectId":{"default":"","type":"string"},"environmentId":{"type":["string","null"]},"enabled":{"default":false,"type":"boolean"},"schedule":{"default":"","type":"string"},"timezone":{"default":"UTC","type":"string"},"scope":{"type":"array","items":{"type":"string"}},"retentionDays":{"type":["integer","null"]},"retention":{"default":{"daily":7,"weekly":4,"monthly":6},"type":"object","additionalProperties":{"type":"integer"}},"nextRunAt":{"type":["string","null"]},"nextAttemptAt":{"type":["string","null"]},"lastScheduledAt":{"type":["string","null"]},"lastSchedulingError":{"type":["string","null"]},"lastRetentionAt":{"type":["string","null"]}}},"BackupPolicyResource.UpdateBackupPolicyInput.jsonMergePatch":{"type":"object","additionalProperties":false,"properties":{"enabled":{"type":"boolean"},"schedule":{"maxLength":120,"type":"string"},"timezone":{"maxLength":80,"type":"string"},"scope":{"minItems":1,"maxItems":3,"uniqueItems":true,"type":"array","items":{"type":"string"}},"retention":{"type":"object","additionalProperties":{"type":"integer"}}}},"BackupResource":{"type":"object","properties":{"id":{"default":"","type":"string"},"projectId":{"default":"","type":"string"},"environmentId":{"default":"","type":"string"},"operationId":{"default":"","type":"string"},"policyId":{"type":["string","null"]},"scheduledFor":{"type":["string","null"]},"status":{"default":"pending","type":"string"},"kind":{"default":"full","type":"string"},"sizeBytes":{"type":["integer","null"]},"createdAt":{"default":"","type":"string"},"expiresAt":{"type":["string","null"]},"finishedAt":{"type":["string","null"]},"deletedAt":{"type":["string","null"]},"deletionError":{"type":["string","null"]}}},"ConstraintViolation":{"type":"object","description":"Unprocessable entity","properties":{"status":{"default":422,"type":"integer"},"violations":{"type":"array","items":{"type":"object","properties":{"propertyPath":{"type":"string","description":"The property path of the violation"},"message":{"type":"string","description":"The message associated with the violation"},"code":{"type":"string","description":"The code of the violation"},"hint":{"type":"string","description":"An extra hint to understand the violation"},"payload":{"type":"object","additionalProperties":true,"description":"The serialized payload of the violation"}},"required":["propertyPath","message"]}},"detail":{"readOnly":true,"type":"string"},"type":{"readOnly":true,"type":"string"},"title":{"readOnly":true,"type":["string","null"]},"instance":{"readOnly":true,"type":["string","null"]}}},"DatabaseResource":{"type":"object","properties":{"id":{"default":"","type":"string"},"environmentId":{"default":"","type":"string"},"name":{"default":"","type":"string"},"engine":{"default":"mariadb","type":"string"},"status":{"default":"pending","type":"string"},"revision":{"default":0,"type":"integer"},"isDefault":{"default":false,"type":"boolean"},"connectionAvailable":{"default":false,"type":"boolean"},"operationId":{"type":["string","null"]},"observedAt":{"type":["string","null"]},"createdAt":{"default":"","type":"string"}}},"DatabaseResource.CreateDatabaseInput":{"type":"object","additionalProperties":false,"required":["name","expectedRevision"],"properties":{"name":{"default":"","type":"string"},"expectedRevision":{"minimum":0,"exclusiveMinimum":0,"type":["integer","null"]}}},"DatabaseResource.OperationResource":{"type":"object","properties":{"id":{"default":"","type":"string"},"projectId":{"default":"","type":"string"},"environmentId":{"type":["string","null"]},"action":{"default":"","type":"string"},"status":{"default":"accepted","type":"string"},"phase":{"default":"accepted","type":"string"},"actorId":{"type":["string","null"]},"actorName":{"type":["string","null"]},"automatic":{"default":false,"type":"boolean"},"startedAt":{"type":["string","null"]},"deleteAfter":{"type":["string","null"]},"generation":{"default":0,"type":"integer"},"result":{"type":"array","items":{"type":["string","null"]}},"error":{"type":["string","null"]},"createdAt":{"default":"","type":"string"},"updatedAt":{"default":"","type":"string"},"finishedAt":{"type":["string","null"]}}},"DatabaseResource.RemoveDatabaseInput":{"type":"object","additionalProperties":false,"required":["expectedRevision"],"properties":{"expectedRevision":{"minimum":0,"exclusiveMinimum":0,"type":["integer","null"]}}},"DeploymentResource":{"type":"object","properties":{"id":{"default":"","type":"string"},"environmentId":{"default":"","type":"string"},"operationId":{"default":"","type":"string"},"releaseId":{"type":["string","null"]},"refType":{"type":["string","null"]},"refName":{"type":["string","null"]},"commitSha":{"type":["string","null"]},"status":{"default":"pending","type":"string"},"createdAt":{"default":"","type":"string"},"finishedAt":{"type":["string","null"]}}},"DomainResource":{"type":"object","properties":{"id":{"default":"","type":"string"},"environmentId":{"default":"","type":"string"},"hostname":{"default":"","type":"string"},"type":{"default":"custom","type":"string"},"isPrimary":{"default":false,"type":"boolean"},"ownershipStatus":{"default":"pending","type":"string"},"dnsStatus":{"default":"pending","type":"string"},"lifecycleStatus":{"default":"reserved","type":"string"},"routingRevision":{"default":0,"type":"integer"},"tlsStatus":{"default":"pending","type":"string"},"expectedRecords":{"type":"array","items":{"type":["string","null"]}}}},"DomainResource.CreateDomainInput":{"type":"object","additionalProperties":false,"required":["hostname"],"properties":{"hostname":{"maxLength":253,"default":"","type":"string"}}},"EnvironmentResource":{"type":"object","properties":{"id":{"default":"","type":"string"},"projectId":{"default":"","type":"string"},"name":{"default":"","type":"string"},"mariadbVersion":{"type":["string","null"]},"phpVersion":{"default":"8.5","type":"string"},"buildSettings":{"type":"array","items":{"type":["string","null"]}},"refType":{"type":["string","null"]},"refName":{"type":["string","null"]},"sourceRevision":{"default":0,"type":"integer"},"autoDeploy":{"default":false,"type":"boolean"},"status":{"default":"pending","type":"string"},"health":{"default":"unknown","type":"string"},"observedAt":{"type":["string","null"]},"databaseCount":{"default":0,"type":"integer"},"resources":{"type":["array","null"],"items":{"type":["string","null"]}},"deployedAt":{"type":["string","null"]},"deployedCommit":{"type":["string","null"]},"deploymentId":{"type":["string","null"]},"domains":{"type":"array","items":{"type":["string","null"]}}}},"EnvironmentResource.UpdateEnvironmentInput.jsonMergePatch":{"type":"object","additionalProperties":false,"properties":{"refType":{"enum":["branch","tag"],"default":"","type":"string"},"refName":{"maxLength":255,"default":"","type":"string"},"autoDeploy":{"default":false,"type":"boolean"},"expectedRevision":{"minimum":0,"type":["integer","null"]}}},"Error":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":["integer","null"],"examples":[404],"default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"}}},"OperationEventResource":{"type":"object","properties":{"id":{"default":"","type":"string"},"operationId":{"default":"","type":"string"},"sequence":{"default":0,"type":"integer"},"status":{"default":"","type":"string"},"phase":{"default":"","type":"string"},"occurredAt":{"default":"","type":"string"},"level":{"default":"info","type":"string"},"diagnosticCode":{"type":["string","null"]},"message":{"default":"","type":"string"},"importProgress":{"type":["array","null"],"items":{"type":["string","null"]}}}},"OperationResource":{"type":"object","properties":{"id":{"default":"","type":"string"},"projectId":{"default":"","type":"string"},"environmentId":{"type":["string","null"]},"action":{"default":"","type":"string"},"status":{"default":"accepted","type":"string"},"phase":{"default":"accepted","type":"string"},"actorId":{"type":["string","null"]},"actorName":{"type":["string","null"]},"automatic":{"default":false,"type":"boolean"},"startedAt":{"type":["string","null"]},"deleteAfter":{"type":["string","null"]},"generation":{"default":0,"type":"integer"},"result":{"type":"array","items":{"type":["string","null"]}},"error":{"type":["string","null"]},"createdAt":{"default":"","type":"string"},"updatedAt":{"default":"","type":"string"},"finishedAt":{"type":["string","null"]}}},"OperationResource.ActionInput":{"type":"object","additionalProperties":false,"required":["action","expectedRevision"],"properties":{"action":{"enum":["project.update","deploy","resize","delete","suspend","resume","addon.add","addon.remove","backup","restore","copy","drupal.login","drupal.cache","domain.verify","domain.primary","domain.remove","database.create","database.remove","delete.cancel"],"default":"","type":"string"},"phpVersion":{"type":["string","null"]},"confirmProjectName":{"maxLength":255,"type":["string","null"]},"environmentId":{"format":"uuid","externalDocs":{"url":"https:\/\/schema.org\/identifier"},"type":["string","null"]},"sourceEnvironmentId":{"format":"uuid","externalDocs":{"url":"https:\/\/schema.org\/identifier"},"type":["string","null"]},"databaseMappings":{"maxItems":100,"type":["array","null"],"items":{"type":"object","additionalProperties":{"type":"string"}}},"planId":{"format":"uuid","externalDocs":{"url":"https:\/\/schema.org\/identifier"},"type":["string","null"]},"backupId":{"format":"uuid","externalDocs":{"url":"https:\/\/schema.org\/identifier"},"type":["string","null"]},"releaseId":{"format":"uuid","externalDocs":{"url":"https:\/\/schema.org\/identifier"},"type":["string","null"]},"domainId":{"format":"uuid","externalDocs":{"url":"https:\/\/schema.org\/identifier"},"type":["string","null"]},"databaseId":{"format":"uuid","externalDocs":{"url":"https:\/\/schema.org\/identifier"},"type":["string","null"]},"databaseName":{"type":["string","null"]},"addonType":{"enum":["redis","solr"],"type":["string","null"]},"includeCode":{"type":["boolean","null"]},"includeDatabase":{"default":true,"type":"boolean"},"includeFiles":{"default":true,"type":"boolean"},"expectedRevision":{"minimum":0,"exclusiveMinimum":0,"type":["integer","null"]}}},"OrganizationResource":{"type":"object","properties":{"id":{"default":"","type":"string"},"name":{"default":"","type":"string"},"pictureVersion":{"type":["string","null"]},"role":{"default":"","type":"string"},"clerkId":{"default":"","type":"string"}}},"PlanResource":{"type":"object","properties":{"id":{"default":"","type":"string"},"key":{"default":"","type":"string"},"label":{"default":"","type":"string"},"applicationFamily":{"default":"php","type":"string"},"version":{"default":1,"type":"integer"},"resources":{"type":"array","items":{"type":["string","null"]}},"enabled":{"default":false,"type":"boolean"}}},"ProjectResource":{"type":"object","properties":{"id":{"default":"","type":"string"},"organizationId":{"default":"","type":"string"},"name":{"default":"","type":"string"},"pictureVersion":{"type":["string","null"]},"description":{"default":"","type":"string"},"slug":{"default":"","type":"string"},"applicationFamily":{"default":"php","type":"string"},"hostingProvider":{"default":"digitalocean","type":"string"},"buildSettings":{"type":"array","items":{"type":["string","null"]}},"backendProjectId":{"type":["string","null"]},"projectType":{"default":"drupal","type":"string","enum":["drupal","symfony","angular","react","astro","nextjs","tanstack","javascript"]},"applicationType":{"default":"drupal_cms","type":"string","enum":["drupal_cms","blank"]},"applicationVersion":{"default":"11","type":"string"},"phpVersion":{"default":"8.5","type":"string"},"planId":{"default":"","type":"string"},"regionId":{"type":["string","null"]},"imageId":{"type":["string","null"]},"imageSlug":{"description":"Provider image identifier passed to Conductor when this site was created.","type":["string","null"]},"status":{"default":"pending","type":"string"},"deleteAfter":{"description":"Earliest teardown time, while deletion is scheduled.","type":["string","null"]},"revision":{"default":1,"type":"integer"},"environments":{"type":"array","items":{"type":["string","null"]}},"operationId":{"type":["string","null"]},"initialDeployment":{"type":["object","null"],"additionalProperties":{"type":["string","null"]}},"createdAt":{"default":"","type":"string"},"updatedAt":{"default":"","type":"string"}}},"ProjectResource.CreateProjectInput":{"type":"object","additionalProperties":false,"properties":{"sourceConnectionId":{"format":"uuid","externalDocs":{"url":"https:\/\/schema.org\/identifier"},"type":["string","null"]},"providerRepositoryId":{"type":["string","null"]},"refName":{"maxLength":255,"type":["string","null"]},"pantheonImportId":{"format":"uuid","externalDocs":{"url":"https:\/\/schema.org\/identifier"},"type":["string","null"]},"name":{"maxLength":120,"default":"","type":"string"},"phpVersion":{"type":["string","null"]},"description":{"maxLength":2000,"type":["string","null"]},"applicationFamily":{"enum":["php","javascript"],"default":"php","type":"string"},"buildSettings":{"description":"Framework-specific build settings, validated before billing.","type":"array","items":{"type":["string","null"]}},"backendProjectId":{"format":"uuid","externalDocs":{"url":"https:\/\/schema.org\/identifier"},"type":["string","null"]},"projectType":{"enum":["drupal","symfony","angular","react","astro","nextjs","tanstack","javascript"],"default":"drupal","type":"string"},"applicationType":{"enum":["drupal_cms","blank"],"description":"Starter to deploy; blank uses the platform coming-soon repository.","default":"drupal_cms","type":"string"},"planId":{"format":"uuid","externalDocs":{"url":"https:\/\/schema.org\/identifier"},"default":"","type":"string"},"regionId":{"format":"uuid","externalDocs":{"url":"https:\/\/schema.org\/identifier"},"type":["string","null"]},"addons":{"maxItems":2,"type":"array","items":{"type":"string"}}},"required":["name","planId"]},"ProjectResource.UpdateProjectInput.jsonMergePatch":{"type":"object","additionalProperties":false,"properties":{"name":{"maxLength":120,"type":["string","null"]},"description":{"maxLength":2000,"type":["string","null"]},"expectedRevision":{"minimum":0,"exclusiveMinimum":0,"type":["integer","null"]}}},"RegionResource":{"type":"object","properties":{"id":{"default":"","type":"string"},"slug":{"default":"","type":"string"},"name":{"default":"","type":"string"},"provider":{"default":"digitalocean","type":"string"},"enabled":{"default":false,"type":"boolean"},"available":{"default":false,"type":"boolean"}}},"ReleaseResource":{"type":"object","properties":{"id":{"default":"","type":"string"},"projectId":{"default":"","type":"string"},"commitSha":{"type":["string","null"]},"mode":{"default":"code","type":"string"},"phpVersion":{"default":"8.5","type":"string"},"createdAt":{"default":"","type":"string"}}},"RepositoryResource":{"type":"object","properties":{"id":{"default":"","type":"string"},"projectId":{"default":"","type":"string"},"sourceConnectionId":{"default":"","type":"string"},"providerRepositoryId":{"default":"","type":"string"},"fullName":{"default":"","type":"string"},"url":{"default":"","type":"string"},"status":{"default":"attached","type":"string"}}},"RepositoryResource.AttachRepositoryInput":{"type":"object","additionalProperties":false,"required":["sourceConnectionId","providerRepositoryId","expectedRevision"],"properties":{"sourceConnectionId":{"format":"uuid","externalDocs":{"url":"https:\/\/schema.org\/identifier"},"default":"","type":"string"},"providerRepositoryId":{"default":"","type":"string"},"expectedRevision":{"minimum":0,"exclusiveMinimum":0,"type":["integer","null"]}}},"ServerResource":{"type":"object","properties":{"id":{"default":"","type":"string"},"projectId":{"default":"","type":"string"},"role":{"default":"app","type":"string"},"regionId":{"default":"","type":"string"},"publicIp":{"type":["string","null"]},"status":{"default":"pending","type":"string"},"observedAt":{"type":["string","null"]}}},"UsageResource":{"type":"object","properties":{"id":{"default":"","type":"string"},"projectId":{"default":"","type":"string"},"serverId":{"type":["string","null"]},"environmentId":{"type":["string","null"]},"metric":{"default":"","type":"string"},"value":{"type":["number","null"]},"unit":{"default":"","type":"string"},"available":{"default":false,"type":"boolean"},"observedAt":{"default":"","type":"string"}}}},"responses":{},"parameters":{},"examples":{},"requestBodies":{},"headers":{},"securitySchemes":{"Clerk":{"type":"apiKey","description":"Value for the Authorization header parameter.","name":"Authorization","in":"header"}}},"security":[{"Clerk":[]}],"tags":[{"name":"AddonResource","description":"Resource 'AddonResource' operations."},{"name":"AuditResource","description":"Resource 'AuditResource' operations."},{"name":"BackupPolicyResource","description":"Resource 'BackupPolicyResource' operations."},{"name":"BackupResource","description":"Resource 'BackupResource' operations."},{"name":"DatabaseResource","description":"Resource 'DatabaseResource' operations."},{"name":"DeploymentResource","description":"Resource 'DeploymentResource' operations."},{"name":"DomainResource","description":"Resource 'DomainResource' operations."},{"name":"EnvironmentResource","description":"Resource 'EnvironmentResource' operations."},{"name":"OperationEventResource","description":"Resource 'OperationEventResource' operations."},{"name":"OperationResource","description":"Resource 'OperationResource' operations."},{"name":"OrganizationResource","description":"Resource 'OrganizationResource' operations."},{"name":"PlanResource","description":"Resource 'PlanResource' operations."},{"name":"ProjectResource","description":"Resource 'ProjectResource' operations."},{"name":"RegionResource","description":"Resource 'RegionResource' operations."},{"name":"ReleaseResource","description":"Resource 'ReleaseResource' operations."},{"name":"RepositoryResource","description":"Resource 'RepositoryResource' operations."},{"name":"ServerResource","description":"Resource 'ServerResource' operations."},{"name":"UsageResource","description":"Resource 'UsageResource' operations."}],"webhooks":{}}